import SlotBase from "./Base/SlotBase";


export class Slot62 extends SlotBase {
    //#region public

    public get ID(): number { return 62; }
    public get FreeID(): number { return 3; }
    public get HasChoiceFreeGame(): boolean { return true; }
    public ChoiceFreeCount: Object = {
        "1": 15,
        "2": 10,
        "3": 5,
        "4": 3,
        "5": 1,
    };

    //#endregion

    //#region Custom

    protected _getFreeID(): number {
        let gameRunData: JSON = this.GameRunData;
        let scatterAmount: number = gameRunData["scatter"][0][0].length;
        if (scatterAmount > 4) {
            return 5;
        } else if (scatterAmount > 3) {
            return 4;
        } else {
            return this.FreeID;
        }
    }

    //#endregion
}

export default Slot62;